=== debian/changelog ===
dcmtkpp (0.2.1-1build1) wily; urgency=medium

  * Rebuild for new dcmtk soname.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 03 Oct 2015 21:00:54 +0000

dcmtkpp (0.2.1-1) unstable; urgency=low

  * Initial release (Closes: #793392)

 -- Julien Lamy <lamy@unistra.fr>  Thu, 16 Jul 2015 15:18:46 +0200
