=== debian/control ===
Source: dcmtkpp
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Julien Lamy <lamy@unistra.fr>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               d-shlibs,
               cmake,
               libjsoncpp-dev,
               libdcmtk2-dev,
               libicu-dev (>= 4.8.1.1),
               zlib1g-dev,
               libboost-test-dev (>= 1.46.1),
               dcmtk (>= 3.6.0),
               doxygen,
               graphviz
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dcmtkpp/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dcmtkpp/trunk/
Homepage: https://github.com/lamyj/dcmtkpp

Package: libdcmtkpp0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ wrapper library for the DCMTK DICOM toolkit
 DCMTK++ is a C++ wrapper library for DCMTK, a C++ toolkit handling the DICOM
 medical imaging standard. DCMTK++ leverages C++ constructs to provide a
 more user-friendly API, notably for the networking part. Included in
 DCMTK++ are exception-based error handling, generic access to datasets
 elements, standard JSON representation of datasets, and generic
 implementation of messages, clients and servers for the various DICOM
 protocols.
 .
 This package contains the shared library.

Package: libdcmtkpp0-dev
Architecture: any
Section: libdevel
Depends: libdcmtkpp0 (= ${binary:Version}),
         ${devlibs:Depends},
         ${misc:Depends}
Provides: libdcmtkpp-dev
Conflicts: libdcmtkpp-dev
Description: C++ wrapper library for the DCMTK DICOM toolkit (development files)
 DCMTK++ is a C++ wrapper library for DCMTK, a C++ toolkit handling the DICOM
 medical imaging standard. DCMTK++ leverages C++ constructs to provide a
 more user-friendly API, notably for the networking part. Included in
 DCMTK++ are exception-based error handling, generic access to datasets
 elements, standard JSON representation of datasets, and generic
 implementation of messages, clients and servers for the various DICOM
 protocols.
 .
 This package contains the development files.

Package: libdcmtkpp0-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Description: C++ wrapper library for the DCMTK DICOM toolkit (documentation)
 DCMTK++ is a C++ wrapper library for DCMTK, a C++ toolkit handling the DICOM
 medical imaging standard. DCMTK++ leverages C++ constructs to provide a
 more user-friendly API, notably for the networking part. Included in
 DCMTK++ are exception-based error handling, generic access to datasets
 elements, standard JSON representation of datasets, and generic
 implementation of messages, clients and servers for the various DICOM
 protocols.
 .
 This package contains the documentation files.
