=== debian/changelog ===
dcmtkpp (0.3.1-3) unstable; urgency=medium

  * Disable network-related tests at build time (Closes: #807675)

 -- Julien Lamy <lamy@unistra.fr>  Sun, 13 Dec 2015 16:34:21 +0100

dcmtkpp (0.3.1-2) unstable; urgency=medium

  * build-depend on libdcmtk (Closes: #804570)

 -- Julien Lamy <lamy@unistra.fr>  Tue, 17 Nov 2015 16:38:57 +0100

dcmtkpp (0.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Lamy <lamy@unistra.fr>  Tue, 17 Nov 2015 16:38:32 +0100
