=== debian/control ===
--- 
+++ 
@@ -7,16 +7,19 @@
                d-shlibs,
                cmake,
                libjsoncpp-dev,
-               libdcmtk2-dev,
+               libdcmtk-dev | libdcmtk2-dev,
                libicu-dev (>= 4.8.1.1),
                zlib1g-dev,
+               uuid-dev,
+               libboost-dev,
+               libboost-filesystem-dev,
                libboost-test-dev (>= 1.46.1),
                dcmtk (>= 3.6.0),
                doxygen,
                graphviz
 Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/dcmtkpp/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/dcmtkpp/trunk/
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/dcmtkpp.git/
+Vcs-Git: git://anonscm.debian.org/debian-med/dcmtkpp.git
 Homepage: https://github.com/lamyj/dcmtkpp
 
 Package: libdcmtkpp0
