=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 	doxygen && mv doc build
 
 override_dh_auto_test:
-	cd build && ../tests/run.sh
+	cd build && ../tests/run.sh --no-network -E 'Association|Network|ServiceRole|SCP|SCU'
 
 override_dh_install:
 	dh_install
@@ -26,4 +26,6 @@
 		--override s/libdcm.*-dev/libdcmtk-dev/ \
 		--override s/libof.*-dev/libdcmtk-dev/ \
 		--override s/libicuuc.*-dev/libicu-dev/ \
+                --override s/libboost_filesystem.*-dev/libboost-filesystem-dev/ \
+                --override s/libboost_system.*-dev/libboost-system-dev/ \
 		debian/tmp/usr/lib/*.so
