=== debian/watch ===
version=3

https://github.com/lamyj/dcmtkpp/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
